using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenAuth.App
{
    public enum NodeTypeEnum
    {
        [Description("bpmn:StartEvent")]
        startEvent,
        [Description("bpmn:EndEvent")]
        endEvent,
        [Description("bpmn:Task")]
        userTask,
        [Description("bpmn:ParallelGateway")]
        gatewayAnd,
        [Description("bpmn:ExclusiveGateway")]
        gatewayXor,
        [Description("bpmn:InclusiveGateway")]
        gatewayInclusive,
        [Description("bpmn:SubProcess")]
        subprocess,
        [Description("bpmn:SequenceFlow")]
        myline
    }
}
